darcs-2.18.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.UI.ApplyPatches

Synopsis

- class PatchApplier pa where
  - repoJob :: pa -> (forall (p :: Type -> Type -> Type) wR wU. (RepoPatch p, ApplyState p ~ Tree) => PatchProxy p -> Repository 'RW p wU wR -> IO ()) -> RepoJob 'RW ()
  - applyPatches :: forall (p :: Type -> Type -> Type) wR wU wZ. (RepoPatch p, ApplyState p ~ Tree) => pa -> PatchProxy p -> String -> [DarcsFlag] -> Repository 'RW p wU wR -> Fork (PatchSet p) (FL (PatchInfoAnd p)) (FL (PatchInfoAnd p)) Origin wR wZ -> IO ()
- data PatchProxy (p :: Type -> Type -> Type) = PatchProxy
- data StandardPatchApplier = StandardPatchApplier
- applyPatchesStart :: forall (p :: Type -> Type -> Type) wX wY. (RepoPatch p, ApplyState p ~ Tree) => String -> [DarcsFlag] -> FL (PatchInfoAnd p) wX wY -> IO ()
- applyPatchesFinish :: forall (p :: Type -> Type -> Type) wU wR wY. (RepoPatch p, ApplyState p ~ Tree) => String -> [DarcsFlag] -> Repository 'RW p wU wR -> FL (PrimOf p) wU wY -> Bool -> IO ()

# Documentation

class PatchApplier pa where #

This class is a hack to abstract over pullapply and rebase pullapply.

Methods

repoJob :: pa -> (forall (p :: Type -> Type -> Type) wR wU. (RepoPatch p, ApplyState p ~ Tree) => PatchProxy p -> Repository 'RW p wU wR -> IO ()) -> RepoJob 'RW () #

applyPatches :: forall (p :: Type -> Type -> Type) wR wU wZ. (RepoPatch p, ApplyState p ~ Tree) => pa -> PatchProxy p -> String -> [DarcsFlag] -> Repository 'RW p wU wR -> Fork (PatchSet p) (FL (PatchInfoAnd p)) (FL (PatchInfoAnd p)) Origin wR wZ -> IO () #

#### Instances

Instances details

PatchApplier StandardPatchApplier # |
Instance details Defined in Darcs.UI.ApplyPatches Methods repoJob :: StandardPatchApplier -> (forall (p :: Type -> Type -> Type) wR wU. (RepoPatch p, ApplyState p ~ Tree) => PatchProxy p -> Repository 'RW p wU wR -> IO ()) -> RepoJob 'RW () # applyPatches :: forall (p :: Type -> Type -> Type) wR wU wZ. (RepoPatch p, ApplyState p ~ Tree) => StandardPatchApplier -> PatchProxy p -> String -> [DarcsFlag] -> Repository 'RW p wU wR -> Fork (PatchSet p) (FL (PatchInfoAnd p)) (FL (PatchInfoAnd p)) Origin wR wZ -> IO () #

data PatchProxy (p :: Type -> Type -> Type) #

Constructors

PatchProxy |

data StandardPatchApplier #

Constructors

StandardPatchApplier |

#### Instances

Instances details

PatchApplier StandardPatchApplier # |
Instance details Defined in Darcs.UI.ApplyPatches Methods repoJob :: StandardPatchApplier -> (forall (p :: Type -> Type -> Type) wR wU. (RepoPatch p, ApplyState p ~ Tree) => PatchProxy p -> Repository 'RW p wU wR -> IO ()) -> RepoJob 'RW () # applyPatches :: forall (p :: Type -> Type -> Type) wR wU wZ. (RepoPatch p, ApplyState p ~ Tree) => StandardPatchApplier -> PatchProxy p -> String -> [DarcsFlag] -> Repository 'RW p wU wR -> Fork (PatchSet p) (FL (PatchInfoAnd p)) (FL (PatchInfoAnd p)) Origin wR wZ -> IO () #

applyPatchesStart :: forall (p :: Type -> Type -> Type) wX wY. (RepoPatch p, ApplyState p ~ Tree) => String -> [DarcsFlag] -> FL (PatchInfoAnd p) wX wY -> IO () #

applyPatchesFinish :: forall (p :: Type -> Type -> Type) wU wR wY. (RepoPatch p, ApplyState p ~ Tree) => String -> [DarcsFlag] -> Repository 'RW p wU wR -> FL (PrimOf p) wU wY -> Bool -> IO () #